## awffull 3.10.2

=== debian/changelog ===
awffull (3.10.2-10) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Alisson Siqueira Silva <alissonsiqueirasilva@alunos.utfpr.edu.br>  Sat, 23 Nov 2024 13:32:27 -0300

awffull (3.10.2-9) unstable; urgency=medium

  * QA upload.
  * debian/patches/autoreconf.patch: New; fix autoreconf.
  * debian/patches/pcre2.patch: New; port to PCRE2 (Closes: #1000027).
  * debian/patches/compiler-warnings.patch: New; fix some warnings.
  * debian/patches/fix-spelling-errors.patch: Fix more errors.
  * debian/control (Build-Depends): Switch to the debhelper-compat
    mechanism; bump compat level to 13.  Remove autotools-dev.  Replace
    libpcre3-dev with libpcre2-dev.  Remove libfreetype6 and
    libfreetype6-dev; completely unnecessary.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2.
  * debian/rules: Drop --parallel.  Enable hardening.  Include
    /usr/share/dpkg/info/pkg-info.mk, needed for $(DEB_VERSION).
    (CFLAGS): Rename as...
    (DEB_CFLAGS_MAINT_APPEND): ...and drop -Wl,-z,defs.
    (LDFLAGS): Rename as...
    (DEB_LDFLAGS_MAINT_APPEND): ...and drop -Wl,--as-needed.  Also move
    -Wl,-z,defs here where it belongs.
    (override_dh_autoreconf): New override; run upstream's bootstrap
    script.
    (override_dh_auto_configure): Remove handling of config.{guess,sub}.
    (override_dh_auto_clean): Likewise.  Remove unnecessary commands.
    Delete *.gmo files.  Adjust awffull_history_regen extension.
    (override_dh_auto_install): Use standard install command.
    (override_dh_installman): Install awffull_history_regen in sec 8.
    Avoid dpkg-parsechangelog usage.
    (override_dh_strip): Remove override; useless.
  * debian/compat: Delete.
  * debian/awffull.lintian-overrides: Strip context to eliminate context
    mismatch, leading to unused override.
  * debian/awffull_history_regen.pl.1: Delete; useless AFAICT.
  * debian/awffull.timer: New file; fixes lintian warning
    missing-systemd-timer-for-cron-script.
  * debian/awffull.service: Likewise; needed by awffull.timer.
  * debian/awffull.cron.daily: Skip job on systemd systems if it is
    invoked by cron; the systemd timer should be triggered instead.
  * debian/watch: Replace with a dummy one as upstream's site is gone.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Nov 2023 07:52:45 +0200

awffull (3.10.2-8) unstable; urgency=medium

  * QA upload.
  * Add debconf translators to debian/copyright
  * Add Romanian Debconf translation.
    Thanks Remus-Gabriel Chelu. (Closes: #1031147)

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 22 Feb 2023 18:57:23 +0100

awffull (3.10.2-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
    + awffull: Drop versioned constraint on debconf in Pre-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:02:38 +0100

awffull (3.10.2-6) unstable; urgency=medium

  * QA upload.
  * Update debian/control:
    - update Vcs-* fields: moved from Alioth to Salsa
    - update using wrap-and-sort tool
    - package awffull now Suggests fonts-dejavu instead of ttf-dejavu
      (Closes: #903049)
    - bump Standards-Version to 4.1.5 (was 4.1.1)
  * Delete get-orig-source section from debian/rules.
  * Fix lintian notes: file-contains-trailing-whitespace.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 06 Jul 2018 03:51:06 +0300

awffull (3.10.2-5) unstable; urgency=medium

  * QA upload.
  * dh 10.
  * Build-Depend on libgd-dev. (Closes: #880764).
  * Don't use removed options, thanks Ludovic Rousseau. (Closes: #728362).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Nov 2017 12:17:24 +0100

awffull (3.10.2-4) unstable; urgency=low

  * QA upload.
  * Fix FTBFS (Closes: #724118)
  * Canonicalise Vcs-Browser

 -- Marius Gavrilescu <marius@ieval.ro>  Fri, 18 Oct 2013 18:27:25 +0300

awffull (3.10.2-3) unstable; urgency=low

  * QA upload.
  * Don't use sample.conf from docs. (Closes: #710727).
    + Copied sample.conf to new dir /usr/share/awffull.
  * Update cron job to use -v 0. (Closes: #496968).
    + ReallyQuiet option has been deprecated.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 01 Jul 2013 06:52:52 -0400

awffull (3.10.2-2) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.7.3).
  * Bumped debhelper version to 9 (was 8); updated debian/compat.
  * Added file debian/patches/fix-GeoIP-default-path.patch:
    fixed default path to GeoIP database. (Closes: #458647)
  * Added file debian/patches/fix-quietly-run-of-cron-job.patch:
    disables useless output messages when job is run without any verbose
    options. (Closes: #665680)
  * Added file debian/patches/fix-font-in-use.patch:
    - now recommended font ttf-dejavu is used instead of bitstream-vera
      font which is going to be removed from the repository
    - fixed path to used font (Closes: #515071)
  * Updated debian/templates: switched from apache to apache2.
    (Closes: #467641)
  * Updated debian/awffull.cron.daily:
    - deleted useless output message when cron job runs without errors
      (Closes: #482168)
    - updated notifications for more correct messages
      (Closes: #565813)
  * Updated debian/control:
    - awffull now suggests ttf-dejavu
    - changed build dependency from libpng12-dev to libpng-dev
      (Closes: #662274)
    - added Vcs-* fields (Git repo in collab-maint is available now)
  * Rewritten debian/rules:
    - now dh is used instead of direct dh_* commands
    - added --as-needed option to LDFLAGS
    - added section get-orig-source (uscan is used)
    - fixed FTBFS because of outdated config.{sub,guess}:
      used symlinks to files from autotools-dev package
      (Closes: #536835)
    - fixed lintian warnings:

