=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --with-etcdir=/etc/awffull

override_dh_auto_clean:
	rm -f debian/awffull_history_regen.8
	rm -f po/*.gmo
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	cp contrib/awffull_history_regen.pl $(CURDIR)/debian/awffull/usr/sbin/awffull_history_regen
	cp sample.conf $(CURDIR)/debian/awffull/usr/share/awffull/sample.conf

override_dh_installman:
	help2man $(CURDIR)/debian/awffull/usr/sbin/awffull_history_regen \
		-n awffull_history_regen -s 8 \
		-o $(CURDIR)/debian/awffull_history_regen.8 \
		--version-string=$(DEB_VERSION)
	dh_installman debian/awffull_history_regen.8
