=== debian/tests/control ===
Test-Command: awffull --help | grep '^Usage: awffull'
Restrictions: superficial
